;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;;  Instruction INI file for gfx+cc installer
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


;-----NOTE: USE ALL LOWER CASE FOR SECTION AND PROPERTY NAMES


;***************************************** General Format
;[section]
;property1=value1
;property2=value2
;property3=value3
;uninstall=true | false | only
;[/section]


;+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
;++                               BEGIN                                 ++
;+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

;-------------------------------------------------------------------------
;--                         VARIABLE DECLARATIONS                       --
;-------------------------------------------------------------------------
[variables]
;CUSTOM VARIABLES CAN NOT HAVE NESTED CUSTOM VARIABLES
;  ONLY MAY NEST PRE-DEFINED VARIABLES
;path=EXECUTION PATH                   ;pre-defined
;system=SYSTEM PATH                    ;pre-defined
;progfilesdir=PROGRAM FILES DIRECTORY  ;pre-defined
;root=WINDOWS DRIVE (ie C:)	       ;pre-defined
installdir=%progfilesdir%\Intel\Intel USBC Host
startfolder=Intel(R) USBC Host
[/variables]

[installoptions]
finishexe=%installdir%\umpcwiz.exe
rebootonfilelock=false
sameversionlaunchexe=umpcwiz.exe
drivercomponent=host
[/installoptions]

[copy file]
source=%path%\setup.exe
destination=%installdir%\setup.exe
uninstall=true
[/copy file]

[copy file]
source=%path%\IIF2.ini
destination=%installdir%\IIF2.ini
uninstall=true
[/copy file]

[copy file]
source=%path%\Lang\USBCHOST\%lang%\Host%lang%.dll
destination=%installdir%\Lang\USBCHOST\%lang%\Host%lang%.dll
uninstall=true
[/copy file]


[copy file]
source=%path%\umpcwiz.exe
destination=%installdir%\umpcwiz.exe
uninstall=true
createlink=true
postinstallonly=true
[/copy file]

[copy file]
source=%path%\difxapi.dll
destination=%system%\difxapi.dll
uninstall=false
[/copy file]

;[copy file]
;source=%path%\x64\difxapi.dll
;destination=%system%\x64\difxapi.dll
;uninstall=false
;condition=IsWoW
;[/copy file]

;[copy file]
;source=%path%\x64\Difx64.exe
;destination=%system%\x64\Difx64.exe
;uninstall=false
;condition=IsWoW
;[/copy file]

[copy file]
source=%path%\USBCEventConsumerProvider.dll
destination=%installdir%\USBCEventConsumerProvider.dll
uninstall=true
[/copy file]

[registerdll]
dllpath=%installdir%\USBCEventConsumerProvider.dll
uninstall=true
[/registerdll]

[copy file]
source=%path%\rndscoin.dll
destination=%system%\rndscoin.dll
uninstall=only
[/copy file]


[registry]
keyroot=HKLM
keypath=SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\USBCHOST
keyvalue=DisplayName
keydata=Intel(R) USBC Host
keytype=sz
uninstall=true
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\USBCHOST
keyvalue=UninstallString
keydata="%installdir%\setup.exe" -uninstall
keytype=sz
uninstall=true
[/registry]

[registry]
keyroot=HKCU
keypath=SOFTWARE\Microsoft\Windows\CurrentVersion\Run
keyvalue=Umpcwiz
keydata="%installdir%\umpcwiz.exe"
keytype=sz
condition=InstallComponent(utility)
uninstall=true
postinstallonly=true
[/registry]

;[registry]
;keyroot=HKLM
;keypath=SOFTWARE\Intel\USBCHOST
;keyvalue=FixedIPAddress
;keydata=192.168.214.184
;keytype=sz
;uninstall=true
;[/registry]

;[registry]
;keyroot=HKLM
;keypath=SOFTWARE\Intel\USBCHOST
;keyvalue=FixedSubnet
;keydata=255.255.255.0
;keytype=sz
;uninstall=true
;[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\Intel\USBCHOST
keyvalue=installdir
keydata=%installdir%
keytype=sz
uninstall=true
postinstallonly=true
[/registry]


[registry]
keyroot=HKCU
keypath=SOFTWARE\Intel\umpcwiz
keyvalue=IsInstalled
keydata=0
keytype=dw
uninstall=true
postinstallonly=true
[/registry]

[registry]
keyroot=HKCU
keypath=SOFTWARE\Intel\umpcwiz
keyvalue=IsInstalled
keydata=1
keytype=dw
condition=InstallComponent(utility)
uninstall=true
postinstallonly=true
[/registry]

[registry]
keyroot=HKCU
keypath=SOFTWARE\Intel\umpcwiz
keyvalue=MsdHardwareID
keydata=USB\VID_8087&PID_8118
keytype=sz
uninstall=true
postinstallonly=true
[/registry]

[registry]
keyroot=HKCU
keypath=SOFTWARE\Intel\umpcwiz
keyvalue=MSDLabel
keydata=USBC_CONF
keytype=sz
uninstall=true
postinstallonly=true
[/registry]

[registry]
keyroot=HKCU
keypath=SOFTWARE\Intel\umpcwiz
keyvalue=MsdName
keydata=USB Mass Storage Device
keytype=sz
uninstall=true
postinstallonly=true
[/registry]

[registry]
keyroot=HKCU
keypath=SOFTWARE\Intel\umpcwiz
keyvalue=RndisHardwareID
keydata=USB\VID_8087&PID_8119
keytype=sz
uninstall=true
postinstallonly=true
[/registry]

[registry]
keyroot=HKCU
keypath=SOFTWARE\Intel\umpcwiz
keyvalue=RndisName
keydata=Intel(R) USB Client Remote NDIS device
keytype=sz
uninstall=true
postinstallonly=true
[/registry]

;default values for wizard/utility
[registry]
keyroot=HKCU
keypath=SOFTWARE\Intel\umpcwiz
keyvalue=HasWizardFinished
keydata=0
keytype=dw
condition=InstallComponent(utility)
uninstall=true
postinstallonly=true
[/registry]

[registry]
keyroot=HKCU
keypath=SOFTWARE\Intel\umpcwiz
keyvalue=UseSelectedDrive
keydata=1
keytype=dw
condition=InstallComponent(utility)
uninstall=true
postinstallonly=true
[/registry]

[registry]
keyroot=HKCU
keypath=SOFTWARE\Intel\umpcwiz
keyvalue=UseSelectedDriveValue
keytype=sz
condition=InstallComponent(utility)
uninstall=true
postinstallonly=true
[/registry]

[registry]
keyroot=HKCU
keypath=SOFTWARE\Intel\umpcwiz
keyvalue=UseSelectedShareValue
keytype=sz
condition=InstallComponent(utility)
uninstall=true
postinstallonly=true
[/registry]

[registry]
keyroot=HKCU
keypath=SOFTWARE\Intel\umpcwiz
keyvalue=AutoOpenShare
keydata=1
keytype=dw
condition=InstallComponent(utility)
uninstall=true
postinstallonly=true
[/registry]

[registry]
keyroot=HKCU
keypath=SOFTWARE\Intel\umpcwiz
keyvalue=ClientIP
keytype=sz
uninstall=true
postinstallonly=true
[/registry]

[registry]
keyroot=HKCU
keypath=SOFTWARE\Intel\umpcwiz
keyvalue=HostIP
keytype=sz
uninstall=true
postinstallonly=true
[/registry]
